summaryrefslogtreecommitdiffstats
path: root/lib/overcloud-deploy-functions.sh
diff options
context:
space:
mode:
authorDan Radez <dradez@redhat.com>2016-10-28 04:30:54 -0400
committerDan Radez <dradez@redhat.com>2016-11-14 09:41:51 -0500
commit1041cbfc25fa59f12e00cf4480edf4fd742a4715 (patch)
tree1c8836b675457e623108c2452af0f2ef0d74fb4d /lib/overcloud-deploy-functions.sh
parent5f2cc4e6b222d109836abd1172f481f303f46319 (diff)
Updating heat cli calls to converged cli
In newton the heat cli is deprecated: WARNING (shell) "heat stack-list" is deprecated, please use "openstack stack list" instead WARNING (shell) "heat resource-list" is deprecated, please use "openstack stack resource list" instead Change-Id: Ia32f05c72500e5fdd525c32a9b41b2be3cb1599c Signed-off-by: Dan Radez <dradez@redhat.com>
Diffstat (limited to 'lib/overcloud-deploy-functions.sh')
-rwxr-xr-xlib/overcloud-deploy-functions.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/lib/overcloud-deploy-functions.sh b/lib/overcloud-deploy-functions.sh
index 516dac97..4b592b46 100755
--- a/lib/overcloud-deploy-functions.sh
+++ b/lib/overcloud-deploy-functions.sh
@@ -319,7 +319,7 @@ EOI
ssh -T ${SSH_OPTIONS[@]} "stack@$UNDERCLOUD" <<EOI
source stackrc
openstack overcloud deploy --templates $DEPLOY_OPTIONS --timeout 90
-if ! heat stack-list | grep CREATE_COMPLETE 1>/dev/null; then
+if ! openstack stack list | grep CREATE_COMPLETE 1>/dev/null; then
$(typeset -f debug_stack)
debug_stack
exit 1